Bug 809938 - (CVE-2011-5000) CVE-2011-5000 openssh: post-authentication resource exhaustion bug via GSSAPI
CVE-2011-5000 openssh: post-authentication resource exhaustion bug via GSSAPI
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 809939 813196
  Show dependency treegraph
Reported: 2012-04-04 13:19 EDT by Vincent Danen
Modified: 2015-03-06 04:14 EST (History)
6 users (show)

See Also:
Fixed In Version: openssh 5.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-03-05 07:42:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-04 13:19:40 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-5000 to
the following vulnerability:

Name: CVE-2011-5000
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-5000
Assigned: 20111224
Reference: FULLDISC:20110801 Useless OpenSSH resources exhausion bug via GSSAPI
Reference: http://seclists.org/fulldisclosure/2011/Aug/2
Reference: http://site.pi3.com.pl/adv/ssh_1.txt

The ssh_gssapi_parse_ename function in gss-serv.c in OpenSSH 5.8 and
earlier, when gssapi-with-mic authentication is enabled, allows remote
authenticated users to cause a denial of service (memory consumption)
via a large value in a certain length field.  NOTE: there may be
limited scenarios in which this issue is relevant.

The upstream fix for this is here:


Also note that this is a POST-authentication bug, meaning that an attacker would need to have valid credentials to successfully authenticate to the server in order to exploit this.  If a user already has the ability to log into the server, there are a number of other mechanisms that could be exploited (arguably easier) to consume excessive resources on the server.
Comment 1 Vincent Danen 2012-04-04 13:21:31 EDT

Comment 2 Vincent Danen 2012-04-04 13:22:10 EDT
Created openssh tracking bugs for this issue

Affects: fedora-all [bug 809939]
Comment 6 errata-xmlrpc 2012-06-20 03:17:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0884 https://rhn.redhat.com/errata/RHSA-2012-0884.html

Note You need to log in before you can comment on or make changes to this bug.